Thisd app aims to get some github repositories by th GitHub API and show in an endless list to user.
At the first time user has to sign up and sign in by Email and Passowrd.
But if you want to use data in offline mode he/she has to log sign in with biometric factor to encrypt and decrypt data.
Every 15 minutes inform user to update db by Notification. To do that data will be deleted and user navigate to sign in screen.
If any biometric factory changes, onces application comes up, notifies to user to delete data.